<!--#INCLUDE FILE="../Includes/i_MsgBoard.asp"-->
<!--#INCLUDE FILE="../Includes/Display/i_Structure.asp"-->
<%
	Response.Buffer = TRUE
	Dim iDomainUnq, iParentUnq, iAccountUnq

	Dim sSQLText, rsMsgBoard, rsMsgBoard2
	Dim iTtlNumItems, iDBLoc
	
	Call DISP_Action("SB_MSGBOARD_ADMIN_OPEN")
	Call DISP_Action("SB_MSGBOARD_MANAGEASSIGNMENTS_EDITBOARDS")
	If   (ACCNT_AnyDomain("SB_MB_ADMIN")) Then
		Call Main()
	Else
		Call DOMAIN_Message(DOMAIN_Text("DOM_SYS_RIGHTS"), "ERROR")
	End If
	Call DISP_Action("SB_MSGBOARD_CLOSE_ADMIN")
	Response.Flush
	
	'************************************************************************************
	'*																					*
	'*																					*
	'*																					*
	'************************************************************************************
	Sub Main()
		Dim sAction, sError, sCheckbox, sSuccess, sTextField, sNewName, sOldName
		Dim sNewDescription, sOldDescription
		
		iAccountUnq = DOMAIN_FixD(Request("iAccountUnq"), 0)
		iDomainUnq = DOMAIN_FixD(Request("iDomainUnq"), 0)
		If ( iDomainUnq = 0 ) Then
			iDomainUnq = ACCNT_GetDomainW_Rights("SB_MB_ADMIN", "", "")
		End If
		iParentUnq = DOMAIN_FixD(Request("iParentUnq"), 0)

		Set rsMsgBoard = CreateObject("ADODB.Recordset")	
		Set rsMsgBoard2 = CreateObject("ADODB.Recordset")	
		sAction = Request("sAction")
		
		Select Case sAction
			Case "UpdateAssignments"
				If ( iDomainUnq <> iDomainName ) And (NOT ACCNT_SpecificDomain("SB_MB_ADMIN", iDomainUnq)) Then
					sError = DOMAIN_Text("DOM_SYS_RIGHTS")
				Else
					For Each sTextField In Request.Form
						If (InStr(sTextField, "sModerator") > 0 ) Then
							iConfUnq = Replace(sTextField, "sModerator", "")
							If ( iConfUnq = "" ) Then
								If ( sError = "" ) Then
									sError = DOMAIN_Text("MSGBOARD_BLANK_CONFUNQ")
								End If
							Else
								If ( Request("sModerator" & iConfUnq) = "Y" ) Then
									' If we are checking the box, then add the conference and all it's children
									Call RecursiveAddAssignment(iConfUnq, iAccountUnq)
								Else
									' If we are unchecking the box, then just remove the specific conference.
									DBConnection.Execute "DELETE FROM Admin WHERE AccountUnq = " & iAccountUnq & " AND ConfUnq = " & iConfUnq
									' log the removal
									Call DOMAIN_Log(70, "", iConfUnq, "", iAccountUnq, "", 0, "V", "D", iAccountUnq, "")
								End If
								If ( sSuccess = "") Then
									sSuccess = DOMAIN_Text("MSGBOARD_MANAGEASSIGNMENTS_UPDATED")
								End If
							End If
						End If
					Next
				End If
		End Select
	
		
		' Pagination variables -- begin
		iNumPerPage = 20
		iTtlNumItems = DOMAIN_FixD(Request("iTtlNumItems"), 0)
		iDBLoc = DOMAIN_FixD(Request("iDBLoc"), 0)
		If (iDBLoc<0) Then
			iDBLoc = 0
		End If

		' Get ttl num of items from the database if it's not already in the QueryString
		if (iTtlNumItems = 0) then
			If ( iParentUnq = 0 ) Then
				' just list all conferences for the domain
				sSQLText = "SELECT Count(*) FROM Conference (NOLOCK) WHERE Parent = 0 AND DomainUnq = " & iDomainUnq
			Else
				' list all child conferences of the parent
				sSQLText = "SELECT Count(*) FROM Conference (NOLOCK) WHERE Parent = " & iParentUnq
			End If
			rsMsgBoard.Open sSQLText, DBConnection
			If Not(rsMsgBoard.EOF) Then
				iTtlNumItems = rsMsgBoard(0)
			End If
			rsMsgBoard.Close
		end if
		' Pagination variables -- end
		
		If ( sError <> "" ) Then
			Call DOMAIN_Message(sError, "ERROR")
		End If
		If ( sSuccess <> "" ) Then
			Call DOMAIN_Message(sSuccess, "SUCCESS")
		End If
		
		Call WriteForm()
		Set rsMsgBoard = Nothing
		Set rsMsgBoard2 = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This recursively adds assignments of accounts and boards.						*
	'*	It starts at the ConfUnq passed in, and checks for duplicates before adding		*
	'*		an entry.																	*
	'*																					*
	'************************************************************************************
	Sub RecursiveAddAssignment(iConfUnq, iAccountUnq)
		Dim rsMsgBoard3
	
		' before adding the entry, make sure it doesn't already exist. This happens if the admin
		'	adds a board, then adds one of its parent's (which recursively tries to add it again)
		sSQLText = "SELECT * FROM Admin WHERE ConfUnq = " & iConfUnq & " AND AccountUnq = " & iAccountUnq
		rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsMsgBoard2.EOF ) Then
			' go ahead and add it
			DBConnection.Execute "INSERT INTO Admin VALUES (" & iAccountUnq & ", " & iConfUnq & ")"
			' log the addition
			Call DOMAIN_Log(70, "", iConfUnq, "", iAccountUnq, "", 0, "V", "I", iAccountUnq, "")
		End If
		rsMsgBoard2.Close
	
		' now, get all conferences who are children of the current conference and run this Sub on them.
		'	(needs to use rsMsgBoard3 because rsMsgBoard isn't closed upon recursion)
		Set rsMsgBoard3 = CreateObject("ADODB.Recordset")	
		sSQLText = "SELECT ConfUnq FROM Conference WHERE Parent = " & iConfUnq
		rsMsgBoard3.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		While ( NOT rsMsgBoard3.EOF )
			Call RecursiveAddAssignment(rsMsgBoard3("ConfUnq"), iAccountUnq)
			rsMsgBoard3.MoveNext
		Wend
		rsMsgBoard3.Close
		Set rsMsgBoard3 = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	For setting the manager radio buttons. This checks to see if the AccountUnq		*
	'*		is a manager of the ConfUnq passed in.										*
	'*																					*
	'************************************************************************************
	Function IsManager(iConfUnq)
		IsManager = "N"
		
		sSQLText = "SELECT * FROM Admin WHERE AccountUnq = " & iAccountUnq & " AND ConfUnq = " & iConfUnq
		rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		If ( NOT rsMsgBoard2.EOF ) Then
			IsManager = "Y"
		End If
		rsMsgBoard2.Close
		
	End Function
	'************************************************************************************
		
	
	'************************************************************************************
	'*																					*
	'*	This is the function to write out the form.										*
	'*																					*
	'************************************************************************************
	Sub WriteForm()
		Dim sBGColor, x, iMax
		Dim sName, sDescription, sTextColor, sLinkColor
		
		If ( iParentUnq = 0 ) Then
			' just list all conferences for the domain
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Conference (NOLOCK) WHERE Parent = 0 AND DomainUnq = " & iDomainUnq & " ORDER BY Name SET ROWCOUNT 0"
		Else
			' list all child conferences of the parent
			sSQLText = "SET ROWCOUNT " & (CDbl(iDBLoc) + CDbl(iNumPerPage)) & " SELECT * FROM Conference (NOLOCK) WHERE Parent = " & iParentUnq & " ORDER BY Name SET ROWCOUNT 0"
		End If
		rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
		sBGColor = DOMAIN_Color("MsgBoardBGColor2")
		For x = 1 To CDbl(iDBLoc)
			rsMsgBoard.MoveNext
		Next
		iMax = iNumPerPage
		%>
		<script language='JavaScript1.2' type='text/javascript'>
	
			function SubmitForm(sAction){
				document.ManageBoards.sAction.value = sAction;
				document.ManageBoards.submit();
			}
			
			function PaginationLink(sQueryString){
				document.location = "EditBoards.asp?<%=DOMAIN_Link("G")%>&iAccountUnq=<%=iAccountUnq%>&iParentUnq=<%=iParentUnq%>&iDomainUnq=<%=iDomainUnq%>&iDBLoc_Accounts=<%=DOMAIN_FixD(Request("iDBLoc_Accounts"), 0)%>&" + sQueryString;
			}
			
			function ViewChild(iConfUnq){
				document.location = "EditBoards.asp?<%=DOMAIN_Link("G")%>&iAccountUnq=<%=iAccountUnq%>&iDBLoc_Boards=<%=iDBLoc%>&iDBLoc_Accounts=<%=DOMAIN_FixD(Request("iDBLoc_Accounts"), 0)%>&iDomainUnq=<%=iDomainUnq%>&iParentUnq=" + iConfUnq;
			}
			
			function ViewParent(){
				document.location = "EditBoards.asp?<%=DOMAIN_Link("G")%>&iAccountUnq=<%=iAccountUnq%>&iDBLoc_Boards=<%=iDBLoc%>&iDBLoc_Accounts=<%=DOMAIN_FixD(Request("iDBLoc_Accounts"), 0)%>&iConfUnq=<%=iParentUnq%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
			function ReturnToAccounts(){
				document.location = "Default.asp?<%=DOMAIN_Link("G")%>&iDBLoc_Boards=<%=iDBLoc%>&iDBLoc_Accounts=<%=DOMAIN_FixD(Request("iDBLoc_Accounts"), 0)%>&iParentUnq=<%=iParentUnq%>&iDomainUnq=<%=iDomainUnq%>";
			}
			
		</script>
		<form name='ManageBoards' action='EditBoards.asp' method='post'>
		<%
		aVariables(0) = "iTtlNumItems"
		aVariables(1) = "iDBLoc_Boards"
		aVariables(2) = "iDBLoc_Accounts"
		aVariables(3) = "iParentUnq"
		aVariables(4) = "iAccountUnq"
		aVariables(5) = "sAction"
		aValues(0) = iTtlNumItems
		aValues(1) = iDBLoc
		aValues(2) = DOMAIN_FixD(Request("iDBLoc_Accounts"), 0)
		aValues(3) = iParentUnq
		aValues(4) = iAccountUnq
		aValues(5) = ""
		Response.Write DOMAIN_Link("P")
		%>
		<table cellpadding=0 cellspacing=0 border=0 width=671>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
			<tr>
				<td>
					<font color='<%=DOMAIN_Color("MsgBoardPageText")%>'>
					<font size=+1><b><%=DOMAIN_Text("MSGBOARD_MANAGEASSIGNMENTS_BOARD_LISTING_HEAD")%></b></font>
					<br><br>
					<%=DOMAIN_Text("MSGBOARD_MANAGEASSIGNMENTS_BOARD_LISTING_INTRO")%>
					<br><br>
					<%=DOMAIN_Text("MSGBOARD_MANAGEASSIGNMENTS_EDITING_BOARD") & ACCNT_UserName(iAccountUnq)%>
					<br>
					<%=DOMAIN_Text("MSGBOARD_RETURNTO_PARENT_BOARD") & "<a href='JavaScript:ViewParent()' class='MediumNavPage'>" & GetParentName(iParentUnq, iDomainUnq) & "</a>"%>
					<br><br>
					<table>
						<tr>
							<td><font color='<%=DOMAIN_Color("DomainsPageText")%>'><b><%=DOMAIN_Text("MSGBOARD_DOMAINS")%></b></font></td>
						</tr>
						<tr>
							<td>
								<%Call DOMAINS_DomainsDropDown("SB_MB_ADMIN", "", "")%>
							</td>
						</tr>
					</table>
					<br><br>
					<table cellpadding=2 cellspacing=0 border=0 width=671>
						<tr>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_CONFUNQ")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_NAME")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_DESC")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_NUMTHREADS")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_NUMCHILDREN")%></b></td>
							<td bgcolor=<%=sBGColor%>><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_CHILD")%></b></td>
							<td bgcolor=<%=sBGColor%> align=center><font color='<%=DOMAIN_Color("MsgBoardTextColor2")%>'><b><%=DOMAIN_Text("MSGBOARD_MODERATOR")%></b></td>
						</tr>
						<tr>
						<%
						While ( NOT rsMsgBoard.EOF )
							If ( sBGColor = DOMAIN_Color("MsgBoardBGColor1") ) Then
								sBGColor = DOMAIN_Color("MsgBoardPageBGColor")
								sTextColor = DOMAIN_Color("MsgBoardPageText")
								sLinkColor = "MediumNavPage"
							Else
								sBGColor = DOMAIN_Color("MsgBoardBGColor1")
								sTextColor = DOMAIN_Color("MsgBoardTextColor1")
								sLinkColor = "MediumNav1"
							End If
							iConfUnq = rsMsgBoard("ConfUnq")
							sDescription = Replace(Trim(rsMsgBoard("Description")), "'", "&#39;")
							sName = Replace(Trim(rsMsgBoard("Name")), "'", "&#39;")
							%>
							<tr>
								<td bgcolor=<%=sBGColor%>><font color='<%=sTextColor%>'><%=rsMsgBoard("ConfUnq")%></font></td>
								<td bgcolor=<%=sBGColor%>><input type='hidden' name='sOldName<%=iConfUnq%>' value='<%=sName%>'><%=sName%></td>
								<td bgcolor=<%=sBGColor%>><%=sDescription%></td>
								<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=rsMsgBoard("NumThreads")%></font></td>
								<td bgcolor=<%=sBGColor%> align=center><font color='<%=sTextColor%>'><%=rsMsgBoard("NumChildren")%></font></td>
								<td bgcolor=<%=sBGColor%> align=center><%If ( CDbl(rsMsgBoard("NumChildren")) > 0 ) Then%><a href='JavaScript:ViewChild("<%=iConfUnq%>")' class='<%=sLinkColor%>'><%=DOMAIN_Text("MSGBOARD_VIEW_CHILD")%></a><%End If%></td>
								<td bgcolor=<%=sBGColor%> align=center>
								<table cellpadding=0 cellspacing=0 border=0><tr><td><font color='<%=sTextColor%>' size=-2>Yes:</font></td>
								<td><input type='radio' name='sModerator<%=iConfUnq%>' value='Y' <%If ( IsManager(iConfUnq) = "Y" ) Then Response.Write "Checked" End If%>></td>
								<td><font color='<%=sTextColor%>' size=-2>No:</font></td>
								<td><input type='radio' name='sModerator<%=iConfUnq%>' value='N' <%If ( IsManager(iConfUnq) = "N" ) Then Response.Write "Checked" End If%>></td></tr></table>
								</td>
							</tr>
							<%
							rsMsgBoard.MoveNext
						Wend
						%>
						<tr>
							<td colspan=8 align=right>
								<%Call PrintRecordsetNav( iNumPerPage, "DBConnection", "MsgBoard", "", "Default.asp", "" )%>
							</td>
						</tr>
					</table>
					<font size=2>
					<%=DOMAIN_Text("MSGBOARD_MANAGEASSIGNMENTS_BOARD_LISTING_FOOTER")%>
				</td>
			</tr>
			<tr><td><img src='/WS_Content/Images/Blank.gif' Width=1 Height=5></td></tr>
		</table>
		</form>
		<%
		rsMsgBoard.Close
	End Sub
	'********************************************************************************
	
	
	
	'********************************************************************************
	'*																				*
	'*	iNumPerPage is the number of items to display on each page					*
	'*	sURL is the page to put with the link, sQuerystring is additional qs stuff	*
	'*	adodbConnection, adodbCommand, sTable are all for the table to get the		*
	'*		row count from.															*
	'*																				*
	'*	Print out the numbers (if any) between the "previous" and "next" buttons	*
	'*	It'll act like this (current # is in bold):									*
	'*	1 2 3 4 5 6 7 8 9 <b>10</b> >> next											*
	'*	previous << <b>11</b> 12 13 14 15 16 17 18									*
	'*																				*
	'********************************************************************************
	Sub PrintRecordsetNav( iNumPerPage, adodbConnection, sTable, sWhere, sURL, sQuerystring )

		Dim sSqlTemp, iTtlTemp
		Dim iDBLocTemp, sURLBeg, iA, iB, x, iTemp, rsObj

		iTtlTemp = iTtlNumItems \ iNumPerPage	' this is the number of numbers overall (use the "\" to return int)
		iDBLocTemp = iDBLoc \ iNumPerPage		' this is which number we are currently on (use the "\" to return int)
		
		If (sQuerystring <> "") Then
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&" & sQuerystring & "&iTtlNumItems=" & iTtlNumItems & "&iDBLoc_Boards="
		Else
			sURLBeg = "<a href = ""JavaScript:PaginationLink('&iTtlNumItems=" & iTtlNumItems & "&iDBLoc_Boards="
		End If

		'***** BEGIN DISPLAY *****
		' Print the "Previous"
		if (iDBLoc <> 0) then
			Response.Write sURLBeg & (iDBLoc - iNumPerPage) & "')"" class='MediumNavPage'><span style=""text-decoration:none;""> &#8592; </span></a>&nbsp;&nbsp;"
		end if
		' Print the <<
		if (iDBLocTemp >= iNumPerPage) then
			Response.Write sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage ^ 2) - (iNumPerPage * 9) & "')""  class='MediumNavPage'>&lt;&lt;</a>&nbsp;"
		end if

		' Print the numbers in between. Print them out in sets of 10.
		iA = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage
		iB = ( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage
		for x = iA to iB
			iTemp = (x * iNumPerPage)
			if (iTemp < iTtlNumItems) then	' takes care of extra numbers after the overall final number
				if (iDBLoc = iTemp) then
					Response.Write "&nbsp;<font color='" & DOMAIN_Color("MsgBoardPageText") & "' size=+1>" & x+1 & "</font>"
				else
					Response.Write "&nbsp;" & sURLBeg & (x * iNumPerPage) & "')""  class='MediumNavPage'>" & x+1 & "</a>"
				end if
			else
				exit for
			end if
		next

		' Print the >>
		if (iTtlTemp > iDBLocTemp) then
			if ((iDBLocTemp + iNumPerPage) <= iTtlTemp) then
				Response.Write "&nbsp;" & sURLBeg & (( iDBLocTemp \ iNumPerPage ) * iNumPerPage + iNumPerPage ) * iNumPerPage & "')""  class='MediumNavPage'>&gt;&gt;</a>&nbsp;"
			end if
		end if
		' Print the "Next"
		if ((iDBLoc + iNumPerPage) < iTtlNumItems) then
			Response.Write "&nbsp;&nbsp;" & sURLBeg & (iDBLoc + iNumPerPage) & "')""  class='MediumNavPage'><span style=""text-decoration:none;""> &#8594; </span></a>"
		end if
		'***** END DISPLAY *****

	End Sub
	'********************************************************************************
%>
