<!--#INCLUDE FILE="ColorSchemes/Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/White.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_White.asp"-->
<!--#INCLUDE FILE="TextSchemes/English.asp"-->
<!--#INCLUDE FILE="ADV/Default.asp"-->
<!--#INCLUDE FILE="Rights/Default.asp"-->
<!--#INCLUDE FILE="LogTypes/Default.asp"-->
<!--#INCLUDE FILE="Delete/Default.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	Enter the default data into the databases. Read from the NavSQL files the nav	*
	'*		code to put into the database.												*
	'*																					*
	'************************************************************************************
	Sub Defaults()
		Dim sSQLText
		Dim fsoFileObject, fFile, tsTextStream, sText
		
		' Delete ALL data from all databases for the Message Board that might be there from a previous installation
		Call DeleteMsgBoard()

		' Enter the color schemes and their colors
		Call AquaScheme()
		Call WhiteScheme()
		Call BlackScheme()
		Call Flat_AquaScheme()
		Call Flat_WhiteScheme()
		Call Flat_BlackScheme()
		
		' Enter the text schemes and their copy
		Call EnglishScheme()
		
		' Enter the ADV's (Signature file, SortOrder, NumPerPage, etc.)
		Call ADV()
		
		' Enter the Log Types
		Call SetLogTypes()
		
		' Create all the rights and set the admin's rights
		Call SetRights()

		' Enter action codes and additional configuration variables based on which systems purchased
		DBConnection.Execute "INSERT INTO Systems VALUES (2, 'MSGBOARD_SYSTEMUNQ', 'MsgBoard system.')"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_COLORS','3','This is the SchemeUnq of the color scheme to use on the Message Boards. The colors administrative pages has the full color scheme list.',DomainUnq,'SB_MC_VIEW_MSGBOARD_COLORS','SB_MC_CHANGE_MSGBOARD_COLORS',2,'Color',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_TEXT','1','This is the SchemeUnq of the text scheme to use on the Message Boards.',DomainUnq,'SB_MC_VIEW_MSGBOARD_TEXT','SB_MC_CHANGE_MSGBOARD_TEXT',2,'Text',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_PROFANITY_FILTER','TRUE','Set this to TRUE to filter profanity out of message bodies, subjects, and signatures. Set it to FALSE to not filter.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_STRIP_CODES','TRUE','Set this to TRUE to strip HTML and ASP codes out of message bodies, subjects, and signatures. Set it to FALSE to not filter.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_DEFAULT_ICON','SiteBeater.gif','This is the default icon file name to use with members who haven''t chosen one for themselves already.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_ALERTADMIN_FROM_EMAIL','alert@YourWebSiteHere.com','The default FROM: address used when people send alerts to the administrators.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_ALERTADMIN_TO_EMAIL','alert@YourWebSiteHere.com','When an alert is sent to an administrator, this is used if there is no administrator for the board from which the alert is being sent.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_REPLYNOTE_FROM_EMAIL','replynotification@YourWebSiteHere.com','This is the FROM: email used when sending message reply notifications.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SENDTOFRIEND_FROM_EMAIL','sendtofriend@YourWebSiteHere.com','This is the FROM: email used when sending invitations to read a message to people.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SUGGESTCATEGORY_TO_EMAIL','suggestcat@YourWebSiteHere.com','When a category suggestion is sent to an administrator but no administrator email can be found, this is used instead.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SUGGESTCATEGORY_FROM_EMAIL','suggestcat@YourWebSiteHere.com','This is the FROM: email used when sending category suggestion emails.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SUGGESTCATEGORY_FROM_NAME','SiteBeater','This is the from name used when sending category suggestion emails.',DomainUnq,'','',2,'Email',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_EDIT-ON','NO','Set this to ""YES"" to use the Edit-On WYSIWYG editor. Set this to ""NO"" to use a plain text field. You must also set the USE_EDIT-ON Configuration Variable to ""YES"".',DomainUnq,'','',2,'Edit-On',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_EDIT-ON_SPELLCHECKPROPERTIES','sc-americanenglish.txt','Set to the spell check properties file you would like to use. Change according to the language. See the documentation.',DomainUnq,'','',2,'Edit-On',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_EDIT-ON_IMAGEROOT','http://www.YourWebSiteHere.com/Images','ImageRoot value from Edit-On Pro. See the Edit-On Pro documentation. This can be set to a single image server if desired (multiple web servers/one image server type of setup).',DomainUnq,'','',2,'Edit-On',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_EDIT-ON_TEXT','1','The Text Scheme Unq used with Edit-On. Must be a SiteBeater Text Scheme or scheme created using a SiteBeater Text Scheme.',DomainUnq,'','',2,'Text',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_EDIT-ON_IMAGEPROXYURL','','Use with the EDIT-ON_IMAGEROOT. The IP address/Domain name (w/o the ""http://"" stuff) of the server hosting all images (eg. 192.168.1.1)--or leave blank if you do not have one specific image server.',DomainUnq,'','',2,'Edit-On',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_TABLEWIDTH','671','Set the width of the tables in the Message Board. Either pixels or percent. 671 is the default.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_FORMCOLUMNS','76','Width of text area form fields in message boards - also see MSGBOARD_FORMWIDTH.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_FORMWIDTH','75','Width of form fields in the message board - not of text fields - see MSGBOARD_FORMCOLUMNS for that.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_EDIT-ON_WIDTH','650','Width of the Edit-On Pro form in the message board.',DomainUnq,'','',2,'Edit-On',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_MAX_MSG_CHAR','0','Maximum number of characters in a message. Set this to 0 for unlimited.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_MODERATIONAPPROVAL_FROM_NAME','Board Administrator','Name of the sender of approval emails that are sent out when a moderated boards message is approved.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_MODERATIONAPPROVAL_FROM_EMAIL','boardadministrator@YourWebSiteHere.com','Email of the sender of approval emails that are sent out when a moderated boards message is approved.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_USERS_DELETE','NO','Set this to YES to allow all users to be able to delete their messages. Set this to NO to only allow administrators/moderators to delete messages.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		
		' conf vars associated with uploading attachments to messages
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SPATH','/WS_Content/MsgBoard/','This is the base path to the Message Board files on the test server (needs to begin and end with a ""/"").',DomainUnq,'','',2,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SPATH','/WS_Content/MsgBoard/','This is the base path to the Message Board files on the test server (needs to begin and end with a ""/"").',DomainUnq,'','',2,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SPATH','/WS_Content/MsgBoard/','This is the base path to the Message Board files on the live server (needs to begin and end with a ""/"").',DomainUnq,'','',2,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MB','MsgBoard','This is the ALPHA Message Board message attachment directory name (eg: MsgBoard).',DomainUnq,'','',2,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MB','MsgBoard','This is the BETA Message Board message attachment directory name (eg: MsgBoard).',DomainUnq,'','',2,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MB','MsgBoard','This is the LIVE Message Board message attachment directory name (eg: MsgBoard).',DomainUnq,'','',2,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_SCRIPTTIMEOUT','5400','Script timeout in seconds. Used when uploading images/files for message attachments. If less than value in metabase, then it uses value in metabase.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_MAXFILESIZE','250000','Maximum uploadable file size - in bytes - for message attachments.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_ALLOWALLFILETYPES','gif jpg png txt zip bmp jpeg doc pdf','Seperate file types with a space. Allowed file types as attachments to messages.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_THUMBNAIL_WIDTH','40','Width of the thumbnails displayed for attached images. In pixels.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_INITIAL_NUMUPLOAD','-1','The default number of files new users can upload to the message board as attachments. Set to -1 for unlimited.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_INITIAL_UPLOADTYPE','gif jpg png txt zip bmp jpeg pdf doc','The default file type new users can upload to the message board as attachments.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_INITIAL_UPLOADBYTES','250000','The default max number of bytes per file new users can upload to the message board as attachments. Set to -1 for unlimited.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_INITIAL_TTLUPLOADABLE','10000000','The default max number of total bytes a user may upload to the message board as attachments. Set to -1 for unlimited.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_DISP_VOTING','YES','Set this to YES to display the voting links so users can rate messages. Set to NO to not display it. Also removes the current rating.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SITEBEATER_MSGBOARD_VERSION','" & SITEBEATER_VERSION & "','Please do not change this Configuration Variable. This is used when update scripts are run.',DomainUnq,'','',8,'',0,0 FROM DomainInfo"
		
		' conf var to limit number of boards on each domain
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_MAX_DOMAIN_BOARDS','-1','This is the maximum number of messageboards that can be created on this domain. -1 for unlimited.',DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_BOARDS','SB_CONF_EDIT_MAX_DOMAIN_BOARDS',2,'',0,0 FROM DomainInfo"
		' conf var to limit number of messages on each domain
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_MAX_DOMAIN_MESSAGES','-1','This is the maximum number of messages that can be posted on this domain. -1 for unlimited.',DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_MESSAGES','SB_CONF_EDIT_MAX_DOMAIN_MESSAGES',2,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'MSGBOARD_DOMAINCHECK','YES','Set this to NO to disable source domain checking when displaying msgboard images/files. When this is disabled, anyone can use images/files from your site on their site by referencing them.',DomainUnq,'','',2,'',0,0 FROM DomainInfo"
		
		
		' 	MSGBOARD Actions
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board non-admin closing code.','SB_MSGBOARD_CLOSE',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_CLOSE) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board admin pages opening code.','SB_MSGBOARD_ADMIN_DEFAULT',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_ADMIN_DEFAULT) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board opening code.','SB_MSGBOARD_ADMIN_OPEN',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_ADMIN_OPEN) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board system CSS code.','SB_MSGBOARD_CSS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_CSS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - manage boards page - opening code.','SB_MSGBOARD_ADMIN_MANAGEBOARDS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_ADMIN_MANAGEBOARDS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - manage boards page - editing the board signature - opening code.','SB_MSGBOARD_MANAGE_BOARDS_EDITSIG',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGE_BOARDS_EDITSIG) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - manage boards page - adding a new board - opening code.','SB_MSGBOARD_MANAGE_BOARDS_NEW',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGE_BOARDS_NEW) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - manage assignments main page - opening code.','SB_MSGBOARD_MANAGEASSIGNMENTS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEASSIGNMENTS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - manage assignments boards listing page - opening code.','SB_MSGBOARD_MANAGEASSIGNMENTS_EDITBOARDS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEASSIGNMENTS_EDITBOARDS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - generic board pages opening code.','SB_MSGBOARD_TOPNAV',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_TOPNAV) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - generic board pages opening code - for files two directories deep so navigation works still.','SB_MSGBOARD_TOPNAV2',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_TOPNAV2) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - generic board pages top opening code.','SB_MSGBOARD_TOPNAV_OPEN',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_TOPNAV_OPEN) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - administrative pages closing code.','SB_MSGBOARD_CLOSE_ADMIN',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_CLOSE_ADMIN) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - board locking navigation for users.','SB_MSGBOARD_MANAGEBOARDLOCKING_USERS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEBOARDLOCKING_USERS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - board locking navigation for Groups.','SB_MSGBOARD_MANAGEBOARDLOCKING_GROUPS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEBOARDLOCKING_GROUPS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - thread locking navigation for users.','SB_MSGBOARD_MANAGETHREADLOCKING_USERS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGETHREADLOCKING_USERS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - thread locking navigation for Groups.','SB_MSGBOARD_MANAGETHREADLOCKING_GROUPS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGETHREADLOCKING_GROUPS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - message locking navigation for users.','SB_MSGBOARD_MANAGEMESSAGELOCKING_USERS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEMESSAGELOCKING_USERS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - message locking navigation for Groups.','SB_MSGBOARD_MANAGEMESSAGELOCKING_GROUPS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEMESSAGELOCKING_GROUPS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - board moderation navigation.','SB_MSGBOARD_MANAGEBOARDMODERATION',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEBOARDMODERATION) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - board moderation - new messages to approve navigation.','SB_MSGBOARD_MANAGEMESSAGEMODERATION',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGEMESSAGEMODERATION) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - log administration.','SB_MSGBOARD_MANAGELOGS',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGELOGS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Message Board - log deletion page.','SB_MSGBOARD_MANAGELOGS_DELETE',DomainUnq,2,'" & ReturnFileText(SB_MSGBOARD_MANAGELOGS_DELETE) & "' FROM DomainInfo"
		

	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	Create all the tables and indexes for the tables that are in the Systems.ini 	*
	'*		file (for the systems purchased).											*
	'*																					*
	'************************************************************************************
	Sub CreateTables()
	
		Dim DBConnection, DBCommand
		Const adCmdText = 1
	
		Set DBConnection = Server.CreateObject("ADODB.Connection")
		Set DBCommand = Server.CreateObject("ADODB.Command")
		
		DBConnection.Open "Provider=SQLOLEDB.1;Server=" & sSQLServerName & ";Database=" & sDatabaseName & ";User ID=" & sDatabaseLogin & ";Password=" & sDatabasePassword
		DBCommand.CommandType = adCmdText
		Set DBCommand.ActiveConnection = DBConnection
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Admin') AND sysstat & 0xf = 3) DROP TABLE Admin"
		DBConnection.Execute "create table Admin(AccountUnq int not null,ConfUnq int not null)"
		DBConnection.Execute "create clustered index Admin on Admin (AccountUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Conference') AND sysstat & 0xf = 3) DROP TABLE Conference"
		DBConnection.Execute "CREATE TABLE Conference(DomainUnq INT NOT NULL,ConfUnq INT NOT NULL,Parent INT NOT NULL,Name VARCHAR(255) NOT NULL,NumThreads INT NOT NULL,NumChildren INT NOT NULL,Description VARCHAR(255) NULL,Sig TEXT NULL,NumMessages INT NOT NULL,ColPosition INT NOT NULL,Moderated CHAR(3) NOT NULL,AllowAttachments CHAR(3) NOT NULL, AttachFileTypes VARCHAR(255) NOT NULL, MaxAttachSize INT NOT NULL, NumAttachPerUser INT NOT NULL, Type CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE UNIQUE INDEX Conference ON Conference (DomainUnq, ConfUnq)"
		DBConnection.Execute "CREATE CLUSTERED INDEX ConferenceParent ON Conference (Parent)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Message') AND sysstat & 0xf = 3) DROP TABLE Message"
		DBConnection.Execute "CREATE TABLE Message(MsgUnq INT NOT NULL,ThreadUnq INT NOT NULL,ConfUnq INT NOT NULL,Parent INT NOT NULL,AccountUnq INT NOT NULL,Subject VARCHAR(255) NOT NULL,Body TEXT NOT NULL,DateChanged SMALLDATETIME NOT NULL,NumReaders INT NOT NULL,Rating INT NOT NULL,NumRaters INT NOT NULL,FileLoc VARCHAR(255) NOT NULL,FileName VARCHAR(32) NOT NULL,FileSize INT NOT NULL,NumDownloads INT NOT NULL,IPAddress VARCHAR(32) NOT NULL,GalleryUnq INT NOT NULL,NewsUnq INT NOT NULL,PlayListUnq INT NOT NULL,RawBody TEXT NOT NULL,RawSubject VARCHAR(255) NOT NULL,LastEditUnq INT NOT NULL, Approved CHAR(3) NOT NULL, Deleted CHAR(3) NULL,FileID VARCHAR(255) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX MessageThread ON Message (ConfUnq, ThreadUnq, MsgUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('EmailNotifications') AND sysstat & 0xf = 3) DROP TABLE EmailNotifications"
		DBConnection.Execute "CREATE TABLE EmailNotifications(ConfUnq INT NOT NULL,ThreadUnq INT NOT NULL,MsgUnq INT NOT NULL,AccountUnq INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX EmailNotifications ON EmailNotifications (AccountUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('CMB') AND sysstat & 0xf = 3) DROP TABLE CMB"
		DBConnection.Execute "CREATE TABLE CMB(MBSetID INT NOT NULL,AccountUnq INT NOT NULL,CMBName VARCHAR(255) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX CMBAccountUnq ON CMB (AccountUnq)"
		DBConnection.Execute "CREATE UNIQUE INDEX CMBMBSet ON CMB (MBSetID, AccountUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('CMBSets') AND sysstat & 0xf = 3) DROP TABLE CMBSets"
		DBConnection.Execute "create table CMBSets(MBSetID int not null,ConfUnq int not null)"
		DBConnection.Execute "create clustered index CMBSets on CMBSets (MBSetID)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('LockedAccounts') AND sysstat & 0xf = 3) DROP TABLE LockedAccounts"
		DBConnection.Execute "CREATE TABLE LockedAccounts(ConfUnq INT NOT NULL,ThreadUnq INT NOT NULL,MsgUnq INT NOT NULL,AccountUnq INT NOT NULL,Status CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX LockedAccountsMain on LockedAccounts (ConfUnq,ThreadUnq,MsgUnq,AccountUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('LockedGroups') AND sysstat & 0xf = 3) DROP TABLE LockedGroups"
		DBConnection.Execute "CREATE TABLE LockedGroups(ConfUnq INT NOT NULL,ThreadUnq INT NOT NULL,MsgUnq INT NOT NULL,GroupUnq INT NOT NULL,Status CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX LockedGroupsMain on LockedGroups (ConfUnq,ThreadUnq,MsgUnq,GroupUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('LockedNonMember') AND sysstat & 0xf = 3) DROP TABLE LockedNonMember"
		DBConnection.Execute "CREATE TABLE LockedNonMember(ConfUnq INT NOT NULL,ThreadUnq INT NOT NULL,MsgUnq INT NOT NULL,Status CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX LockedNonMemberMain on LockedNonMember (ConfUnq,ThreadUnq,MsgUnq)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Searches') AND sysstat & 0xf = 3) DROP TABLE Searches"
		DBConnection.Execute "CREATE TABLE Searches(AccountUnq INT NOT NULL,DateChanged SMALLDATETIME NOT NULL,SearchID INT IDENTITY NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SearchesMain on Searches (AccountUnq,SearchID)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('SearchResults') AND sysstat & 0xf = 3) DROP TABLE SearchResults"
		DBConnection.Execute "CREATE TABLE SearchResults(AccountUnq INT NOT NULL,ConfUnq INT NOT NULL,ThreadUnq INT NOT NULL,MsgUnq INT NOT NULL,SearchID INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SearchResultsMain on SearchResults (ConfUnq,ThreadUnq,MsgUnq,AccountUnq)"
	
		DBConnection.Close
		SET DBConnection = nothing
		SET DBCommand = nothing
	
	End Sub
	'************************************************************************************



	'************************************************************************************
	'*																					*
	'*	Returns the text in the file spec passed it.									*
	'*																					*
	'************************************************************************************
	Function ReturnFileText(sFileSpec)
		Dim fsoFileObject, fFile, tsTextStream
		Const ForReading = 1, TristateFalse = 0
		
		ReturnFileText = ""
	
		' Read which systems from the Systems.ini file.
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		Set fFile = fsoFileObject.GetFile(Server.Mappath(sFileSpec))
		Set tsTextStream = fFile.OpenAsTextStream(ForReading, TristateFalse)
		ReturnFileText = Replace(tsTextStream.ReadAll, "'", "''")
		tsTextStream.Close
	End Function
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the color scheme name and schemeunq combo already exist	*
	'*		before adding the colors. If the scheme name exists, it'll use it's			*
	'*		SchemeUnq when adding colors. If the name doesn't exist, it'll first check	*
	'*		to see if the iSchemeUnq passed in exists for another scheme, if not, it'll	*
	'*		go ahead and use the iSchemeUnq to create the new scheme, or it'll get		*
	'*		the max+1 SchemeUnq to use to add the new color scheme.						*
	'*																					*
	'************************************************************************************
	Function CheckForColorScheme(sSchemeName, iSchemeUnq)
		Dim sSQLText, rsDB, sTemp
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM ColorSchemes WHERE SchemeName = '" & sSchemeName & "'"
		rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' it's not there so check to see if SchemeUnq iSchemeUnq is avaliable
			rsDB.Close
			sSQLText = "SELECT * FROM ColorSchemes WHERE SchemeUnq = " & iSchemeUnq
			rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				' it's free, so create the new color scheme
				DBConnection.Execute "INSERT INTO ColorSchemes SELECT " & iSchemeUnq & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForColorScheme = 1
			Else
				' it's not free, so find the max+1 SchemeUnq and use that to make sSchemeName
				sTemp = rsDB("SchemeUnq")
				rsDB.Close
				sSQLText = "SELECT MAX(SchemeUnq) FROM ColorSchemes"
				rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
				DBConnection.Execute "INSERT INTO ColorSchemes SELECT " & (CDbl(sTemp) + 1) & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForColorScheme = CDbl(sTemp) + 1
				rsDB.Close
			End If
		Else
			' it's already there, so get the SchemeUnq and use that to insert the colors
			CheckForColorScheme = rsDB("SchemeUnq")
			rsDB.Close
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This does the same as CheckForColorScheme but for text schemes.					*
	'*																					*
	'************************************************************************************
	Function CheckForTextScheme(sSchemeName, iSchemeUnq)
		Dim sSQLText, rsDB, sTemp
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM TextSchemes WHERE SchemeName = '" & sSchemeName & "'"
		rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' it's not there so check to see if SchemeUnq iSchemeUnq is avaliable
			rsDB.Close
			sSQLText = "SELECT * FROM TextSchemes WHERE SchemeUnq = " & iSchemeUnq
			rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				' it's free, so create the new text scheme
				DBConnection.Execute "INSERT INTO TextSchemes SELECT " & iSchemeUnq & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForTextScheme = 1
			Else
				' it's not free, so find the max+1 SchemeUnq and use that to make sSchemeName
				sTemp = rsDB("SchemeUnq")
				rsDB.Close
				sSQLText = "SELECT MAX(SchemeUnq) FROM TextSchemes"
				rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
				DBConnection.Execute "INSERT INTO TextSchemes SELECT " & (CDbl(sTemp) + 1) & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForTextScheme = CDbl(sTemp) + 1
				rsDB.Close
			End If
		Else
			' it's already there, so get the SchemeUnq and use that to insert the text
			CheckForTextScheme = rsDB("SchemeUnq")
			rsDB.Close
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
%>