<!--#INCLUDE FILE="ColorSchemes/Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/White.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_White.asp"-->
<!--#INCLUDE FILE="TextSchemes/English.asp"-->
<!--#INCLUDE FILE="ADV/Default.asp"-->
<!--#INCLUDE FILE="Rights/Default.asp"-->
<!--#INCLUDE FILE="LogTypes/Default.asp"-->
<!--#INCLUDE FILE="Delete/Default.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	Enter the default data into the databases. Read from the NavSQL files the nav	*
	'*		code to put into the database.												*
	'*																					*
	'************************************************************************************
	Sub Defaults()
		Dim sSQLText
		Dim fsoFileObject, fFile, tsTextStream, sText
		
		' Delete ALL data from all databases for the News that might be there from a previous installation
		Call DeleteNews()

		' Enter the color schemes and their colors
		Call AquaScheme()
		Call WhiteScheme()
		Call BlackScheme()
		Call Flat_AquaScheme()
		Call Flat_WhiteScheme()
		Call Flat_BlackScheme()
		
		' Enter the text schemes and their copy
		Call EnglishScheme()
		
		' Enter the ADV's
		Call ADV()
		
		' Enter the Log Types
		Call SetLogTypes()
		
		' Create all the rights and set the admin's rights
		Call SetRights()

		' Enter action codes and additional configuration variables based on which systems purchased
		DBConnection.Execute "INSERT INTO Systems VALUES (6, 'NEWS_SYSTEMUNQ', 'News system.')"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_COLORS','3','This is the SchemeUnq of the color scheme to use on the Newss. The colors administrative pages has the full color scheme list.',DomainUnq,'SB_MC_VIEW_NEWS_COLORS','SB_MC_CHANGE_NEWS_COLORS',6,'Color',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_TEXT','1','This is the SchemeUnq of the text scheme to use on the Newss.',DomainUnq,'SB_MC_VIEW_NEWS_TEXT','SB_MC_CHANGE_NEWS_TEXT',6,'Text',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_SPATH','/WS_Content/News/','This is the ALPHA News directory name (default: /WS_Content/News/).',DomainUnq,'','',6,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_SPATH','/WS_Content/News/','This is the BETA News directory name (default: /WS_Content/News/).',DomainUnq,'','',6,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_SPATH','/WS_Content/News/','This is the LIVE News directory name (default: /WS_Content/News/).',DomainUnq,'','',6,'',3,0 FROM DomainInfo"
		
		' Categories and Editors Conf Vars
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_IMAGE_LOC','/WS_Content/News/Images/CategoryImages/','This is the ALPHA News category image directory name (default: /WS_Content/News/Images/CategoryImages/).',DomainUnq,'','',6,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_IMAGE_LOC','/WS_Content/News/Images/CategoryImages/','This is the BETA News category image directory name (default: /WS_Content/News/Images/CategoryImages/).',DomainUnq,'','',6,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_IMAGE_LOC','/WS_Content/News/Images/CategoryImages/','This is the LIVE News category image directory name (default: /WS_Content/News/Images/CategoryImages/).',DomainUnq,'','',6,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_IMAGE_WIDTH','40','This is the pixel width of the category image (default 40).',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_IMAGE_HEIGHT','40','This is the pixel height of the category image (default 40).',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_COLUMNS','2','This is the number of columns in the category display Action.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_CAT_WIDTH','671','This is the width of the category display Action.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		
		' Article info
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ALLOWALLFILETYPES','gif jpg png txt zip bmp jpeg doc pdf','Seperate file types with a space. Allowed file types as attachments to news.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_INITIAL_UPLOADBYTES','250000','The default max number of bytes per file new users can upload as an attachment to a news article. -1 for unlimited.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ATTACH_DIR','/WS_Content/News/Images/ArticleImages/','This is the ALPHA News article attachment directory name (default: /WS_Content/News/Images/ArticleImages/).',DomainUnq,'','',6,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ATTACH_DIR','/WS_Content/News/Images/ArticleImages/','This is the BETA News article attachment directory name (default: /WS_Content/News/Images/ArticleImages/).',DomainUnq,'','',6,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ATTACH_DIR','/WS_Content/News/Images/ArticleImages/','This is the LIVE News article attachment directory name (default: /WS_Content/News/Images/ArticleImages/).',DomainUnq,'','',6,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_THUMBNAIL_WIDTH','100','Width of the thumbnails displayed for images attached to articles. In pixels.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_NUM_IN_COLDISPLAY','4','This is the number of news items to display in the column annotated view Action.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_THUMBWIDTH_COLDISPLAY','40','This is the width of the thumbnail in the column annotated view Action.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_COLDISPLAY_WIDTH','150','This is the width of the column annotated view Action.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_MODERATE_FROM_EMAIL','moderate@YourWebSiteHere.com','This is the FROM: email used when sending moderation messages to news editors.',DomainUnq,'','',6,'Email',0,0 FROM DomainInfo"
		
		' ArticleDisplay
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ARTICLEDISPLAY_WIDTH','671','This is the width of the article display page.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ARTICLEDISPLAY_DISP_TIMESREAD','Y','Set this to Y to display the number of times the article was read, N to hide it.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_FORMCOLUMNS','76','This is the number of columns in the textarea form fields..',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_FORMWIDTH','75','Width of form fields in the news - not of text fields - see SB_NEWS_FORMCOLUMNS for that.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		
		' Full annotated view
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ANNOTATEDVIEW_WIDTH','671','This is the width of the Full Annotated View page (the /News/Default.asp page).',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_ANNOTATEDVIEW_NUMPERPAGE','12','This is the total number of articles displayed on the the Full Annotated View page (the /News/Default.asp page), regardless of what SB_NEWS_ANNOTATEDVIEW_DISPLAYBY and its accompanying variables are set as.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		
		' Send to friend
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_SENDTOFRIEND_FROM_EMAIL','sendtofriend@YourWebSiteHere.com','This is the FROM: email used when sending invitations to read a news article to people.',DomainUnq,'','',6,'Email',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_MODERATOR_EMAIL','moderator@YourWebSiteHere.com','This is the email address to which emails will be sent when any article is submitted that needs moderation.',DomainUnq,'','',6,'Email',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_SCRIPTTIMEOUT','5400','This is the timeout in seconds for the pages that edit and submit news.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_NEWS_DISP_VOTING','YES','Set this to YES to display the voting links so users can rate articles. Set to NO to not display it. Also removes the current rating.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SITEBEATER_NEWS_VERSION','" & SITEBEATER_VERSION & "','Please do not change this Configuration Variable. This is used when update scripts are run.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"

		' variable to control number of news articles on each domain
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SB_MAX_DOMAIN_ARTICLES','-1','This is the maximum number of news articles that can be uploaded to this domain. -1 for unlimited.',DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_ARTICLES','SB_CONF_EDIT_MAX_DOMAIN_ARTICLES',6,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'NEWS_DOMAINCHECK','YES','Set this to NO to disable source domain checking when displaying news images. When this is disabled, anyone can use images from your site on their site by referencing them.',DomainUnq,'','',6,'',0,0 FROM DomainInfo"
		
		
		' 	NEWS Actions
		DBConnection.Execute "INSERT INTO Actions SELECT 'News non-admin closing code.','SB_NEWS_CLOSE',DomainUnq,6,'" & ReturnFileText(SB_NEWS_CLOSE) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'News stylesheet.','SB_NEWS_CSS',DomainUnq,6,'" & ReturnFileText(SB_NEWS_CSS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the manage categories page.','SB_NEWS_MANAGE_CATEGORIES',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_CATEGORIES) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the creation of categories page.','SB_NEWS_MANAGE_CATEGORIES_NEW',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_CATEGORIES_NEW) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the page to manage editors.','SB_NEWS_MANAGE_EDITORS',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_EDITORS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the main news management page.','SB_NEWS_MANAGE_NEWS',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_NEWS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the page editors can edit their news from.','SB_NEWS_MANAGE_NEWS_EDITORVIEW',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_NEWS_EDITORVIEW) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the new news submission confirmation page.','SB_NEWS_MANAGE_NEWS_SUBMITSUCCESS',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_NEWS_SUBMITSUCCESS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Opening navigation for the news pages.','SB_NEWS_OPEN',DomainUnq,6,'" & ReturnFileText(SB_NEWS_OPEN) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Closing navigation for the public news pages.','SB_NEWS_PUBLIC_CLOSE',DomainUnq,6,'" & ReturnFileText(SB_NEWS_PUBLIC_CLOSE) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Opening navigation for the public news pages.','SB_NEWS_PUBLIC_OPEN',DomainUnq,6,'" & ReturnFileText(SB_NEWS_PUBLIC_OPEN) & "' FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the main moderation page.','SB_NEWS_MODERATE_NEWS',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MODERATE_NEWS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the main news page.','SB_NEWS_TOPNAV',DomainUnq,6,'" & ReturnFileText(SB_NEWS_TOPNAV) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the category image editing page.','SB_NEWS_MANAGE_CATEGORIES_EDIT_IMAGE',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_CATEGORIES_EDIT_IMAGE) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the new news page.','SB_NEWS_MANAGE_NEWS_NEW',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_NEWS_NEW) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the related article management page.','SB_NEWS_MANAGE_NEWS_RELATEDARTICLES',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MANAGE_NEWS_RELATEDARTICLES) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Navigation for the page to email authors when moderating articles.','SB_NEWS_MODERATE_WEMAIL_NEWS',DomainUnq,6,'" & ReturnFileText(SB_NEWS_MODERATE_WEMAIL_NEWS) & "' FROM DomainInfo"
		
		' News Displaying Actions
		DBConnection.Execute "INSERT INTO Actions SELECT 'Displays the list of categories.','SB_NEWS_CATEGORYDISPLAY',DomainUnq,6,'" & ReturnFileText(SB_NEWS_CATEGORYDISPLAY) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Displays a column view of the news.','SB_NEWS_COLUMNDISPLAY',DomainUnq,6,'" & ReturnFileText(SB_NEWS_COLUMNDISPLAY) & "' FROM DomainInfo"
		
	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	Create all the tables and indexes for the tables that are in the Systems.ini 	*
	'*		file (for the systems purchased).											*
	'*																					*
	'************************************************************************************
	Sub CreateTables()
	
		Dim DBConnection, DBCommand
		Const adCmdText = 1
	
		Set DBConnection = Server.CreateObject("ADODB.Connection")
		Set DBCommand = Server.CreateObject("ADODB.Command")
		
		DBConnection.Open "Provider=SQLOLEDB.1;Server=" & sSQLServerName & ";Database=" & sDatabaseName & ";User ID=" & sDatabaseLogin & ";Password=" & sDatabasePassword
		DBCommand.CommandType = adCmdText
		Set DBCommand.ActiveConnection = DBConnection
	
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Categories') AND sysstat & 0xf = 3) DROP TABLE Categories"
		DBConnection.Execute "CREATE TABLE Categories(CatUnq INT IDENTITY,DomainUnq INT NOT NULL,ParentUnq INT NOT NULL DEFAULT 0,Name VARCHAR(255) NOT NULL,Description VARCHAR(255) NOT NULL,HasImage CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX CategoriesMain on Categories (DomainUnq, CatUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Editors') AND sysstat & 0xf = 3) DROP TABLE Editors"
		DBConnection.Execute "CREATE TABLE Editors(EditorUnq INT IDENTITY,CatUnq INT NOT NULL,AccountUnq INT NOT NULL,AccountName VARCHAR(32) NOT NULL,Moderated CHAR(3) NOT NULL,DName CHAR(3) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX EditorsMain on Editors (CatUnq, EditorUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('News') AND sysstat & 0xf = 3) DROP TABLE News"
		DBConnection.Execute "CREATE TABLE News(NewsUnq INT IDENTITY,DomainUnq INT NOT NULL,OriginalEditor INT NOT NULL,DisplayName VARCHAR(255) NOT NULL,DisplayEmail VARCHAR(255) NOT NULL,MsgBoardConfUnq INT NOT NULL,MsgBoardThreadUnq INT NOT NULL,StartDate SMALLDATETIME NOT NULL,EndDate SMALLDATETIME NOT NULL,SubmitDate SMALLDATETIME NOT NULL,NewsSource VARCHAR(255) NOT NULL,Keywords VARCHAR(255) NOT NULL,CatUnq INT NOT NULL,Headline VARCHAR(255) NOT NULL,Annotations TEXT NOT NULL,Message	TEXT NOT NULL,Approved CHAR(3) NOT NULL,Preview	CHAR(3) NOT NULL,Rating INT NOT NULL,NumRated INT NOT NULL,TimesRead INT NOT NULL,MsgLength INT NOT NULL,FileID VARCHAR(255) NOT NULL,FileType VARCHAR(255) NOT NULL,FileName VARCHAR(255) NOT NULL,FileSize INT NOT NULL,Caption VARCHAR(255) NOT NULL, CookedAnnotations TEXT NOT NULL, CookedMessage TEXT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX NewsMain on News (DomainUnq, SubmitDate)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('NewsRaters') AND sysstat & 0xf = 3) DROP TABLE NewsRaters"
		DBConnection.Execute "CREATE TABLE NewsRaters(NewsUnq INT NOT NULL,AccountUnq INT NOT NULL,Rating INT NOT NULL,RateDate SMALLDATETIME NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX NewsRatersMain on NewsRaters (NewsUnq, AccountUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Searches') AND sysstat & 0xf = 3) DROP TABLE Searches"
		DBConnection.Execute "CREATE TABLE Searches(AccountUnq  INT NOT NULL,DateChanged  SMALLDATETIME NOT NULL,SearchID INT IDENTITY NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SearchesMain on Searches (AccountUnq,SearchID)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('SearchResults') AND sysstat & 0xf = 3) DROP TABLE SearchResults"
		DBConnection.Execute "CREATE TABLE SearchResults(AccountUnq  INT NOT NULL,NewsUnq  INT NOT NULL,SearchID INT NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SearchResultsMain on SearchResults (NewsUnq,AccountUnq)"		
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('RelatedArticles') AND sysstat & 0xf = 3) DROP TABLE RelatedArticles"
		DBConnection.Execute "CREATE TABLE RelatedArticles (IDUnq INT IDENTITY,NewsUnq INT NOT NULL,RelatedNewsUnq INT NOT NULL,OffsiteURL VARCHAR(255) NOT NULL,OffsiteTitle VARCHAR(255) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX RelatedArticlesMain on RelatedArticles (NewsUnq)"
		
		DBConnection.Close
		SET DBConnection = nothing
		SET DBCommand = nothing

	End Sub
	'************************************************************************************



	'************************************************************************************
	'*																					*
	'*	Returns the text in the file spec passed it.									*
	'*																					*
	'************************************************************************************
	Function ReturnFileText(sFileSpec)
		Dim fsoFileObject, fFile, tsTextStream
		Const ForReading = 1, TristateFalse = 0
		
		ReturnFileText = ""
	
		' Read which systems from the Systems.ini file.
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		Set fFile = fsoFileObject.GetFile(Server.Mappath(sFileSpec))
		Set tsTextStream = fFile.OpenAsTextStream(ForReading, TristateFalse)
		ReturnFileText = Replace(tsTextStream.ReadAll, "'", "''")
		tsTextStream.Close
	End Function
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the color scheme name and schemeunq combo already exist	*
	'*		before adding the colors. If the scheme name exists, it'll use it's			*
	'*		SchemeUnq when adding colors. If the name doesn't exist, it'll first check	*
	'*		to see if the iSchemeUnq passed in exists for another scheme, if not, it'll	*
	'*		go ahead and use the iSchemeUnq to create the new scheme, or it'll get		*
	'*		the max+1 SchemeUnq to use to add the new color scheme.						*
	'*																					*
	'************************************************************************************
	Function CheckForColorScheme(sSchemeName, iSchemeUnq)
		Dim sSQLText, rsDB, sTemp
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM ColorSchemes WHERE SchemeName = '" & sSchemeName & "'"
		rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' it's not there so check to see if SchemeUnq iSchemeUnq is avaliable
			rsDB.Close
			sSQLText = "SELECT * FROM ColorSchemes WHERE SchemeUnq = " & iSchemeUnq
			rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				' it's free, so create the new color scheme
				DBConnection.Execute "INSERT INTO ColorSchemes SELECT " & iSchemeUnq & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForColorScheme = 1
			Else
				' it's not free, so find the max+1 SchemeUnq and use that to make sSchemeName
				sTemp = rsDB("SchemeUnq")
				rsDB.Close
				sSQLText = "SELECT MAX(SchemeUnq) FROM ColorSchemes"
				rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
				DBConnection.Execute "INSERT INTO ColorSchemes SELECT " & (CDbl(sTemp) + 1) & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForColorScheme = CDbl(sTemp) + 1
				rsDB.Close
			End If
		Else
			' it's already there, so get the SchemeUnq and use that to insert the colors
			CheckForColorScheme = rsDB("SchemeUnq")
			rsDB.Close
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This does the same as CheckForColorScheme but for text schemes.					*
	'*																					*
	'************************************************************************************
	Function CheckForTextScheme(sSchemeName, iSchemeUnq)
		Dim sSQLText, rsDB, sTemp
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM TextSchemes WHERE SchemeName = '" & sSchemeName & "'"
		rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' it's not there so check to see if SchemeUnq iSchemeUnq is avaliable
			rsDB.Close
			sSQLText = "SELECT * FROM TextSchemes WHERE SchemeUnq = " & iSchemeUnq
			rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				' it's free, so create the new text scheme
				DBConnection.Execute "INSERT INTO TextSchemes SELECT " & iSchemeUnq & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForTextScheme = 1
			Else
				' it's not free, so find the max+1 SchemeUnq and use that to make sSchemeName
				sTemp = rsDB("SchemeUnq")
				rsDB.Close
				sSQLText = "SELECT MAX(SchemeUnq) FROM TextSchemes"
				rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
				DBConnection.Execute "INSERT INTO TextSchemes SELECT " & (CDbl(sTemp) + 1) & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForTextScheme = CDbl(sTemp) + 1
				rsDB.Close
			End If
		Else
			' it's already there, so get the SchemeUnq and use that to insert the text
			CheckForTextScheme = rsDB("SchemeUnq")
			rsDB.Close
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
%>