<!--#INCLUDE FILE="ColorSchemes/Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/White.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Aqua.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_Black.asp"-->
<!--#INCLUDE FILE="ColorSchemes/Flat_White.asp"-->
<!--#INCLUDE FILE="TextSchemes/English.asp"-->
<!--#INCLUDE FILE="Rights/Default.asp"-->
<!--#INCLUDE FILE="LogTypes/Default.asp"-->
<!--#INCLUDE FILE="Delete/Default.asp"-->
<%
	'************************************************************************************
	'*																					*
	'*	Enter the default data into the databases. Read from the NavSQL files the nav	*
	'*		code to put into the database.												*
	'*																					*
	'************************************************************************************
	Sub Defaults()
		Dim sSQLText
		Dim fsoFileObject, fFile, tsTextStream, sText
		
		' Delete ALL data from all databases for the Radio that might be there from a previous installation
		Call DeleteRadio()
		
		' Enter the color schemes and their colors
		Call AquaScheme()
		Call WhiteScheme()
		Call BlackScheme()
		Call Flat_AquaScheme()
		Call Flat_WhiteScheme()
		Call Flat_BlackScheme()
		
		' Enter the text schemes and their copy
		Call EnglishScheme()

		' Enter the Log Types
		Call SetLogTypes()
		
		' Create all the rights and set the admin's rights
		Call SetRights()

		' Enter action codes and additional configuration variables based on which systems purchased
		DBConnection.Execute "INSERT INTO Systems VALUES (3, 'RADIO_SYSTEMUNQ', 'Radio system.')"
			
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio closing code.','SB_RADIO_CLOSE',DomainUnq,3,'" & ReturnFileText(SB_RADIO_CLOSE) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio opening code.','SB_RADIO_OPEN',DomainUnq,3,'" & ReturnFileText(SB_RADIO_OPEN) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system CSS code.','SB_RADIO_CSS',DomainUnq,3,'" & ReturnFileText(SB_RADIO_CSS) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system main page top nav.','SB_RADIO_DEFAULT',DomainUnq,3,'" & ReturnFileText(SB_RADIO_DEFAULT) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system song list page top nav.','SB_RADIO_SONGLIST',DomainUnq,3,'" & ReturnFileText(SB_RADIO_SONGLIST) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system playlist page top nav.','SB_RADIO_PLAYLIST',DomainUnq,3,'" & ReturnFileText(SB_RADIO_PLAYLIST) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system search page top nav.','SB_RADIO_SEARCH',DomainUnq,3,'" & ReturnFileText(SB_RADIO_SEARCH) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Nav to display link to edit song information.','SB_RADIO_EDIT_SONGS_NAV',DomainUnq,3,'" & ReturnFileText(SB_RADIO_EDIT_SONGS_NAV) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system edit song info page top nav.','SB_RADIO_ADMIN_SONGINFO',DomainUnq,3,'" & ReturnFileText(SB_RADIO_ADMIN_SONGINFO) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system edit song opening code.','SB_RADIO_ADMIN_OPEN',DomainUnq,3,'" & ReturnFileText(SB_RADIO_ADMIN_OPEN) & "' FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Actions SELECT 'Radio system edit song closing code.','SB_RADIO_ADMIN_CLOSE',DomainUnq,3,'" & ReturnFileText(SB_RADIO_ADMIN_CLOSE) & "' FROM DomainInfo"
	
		

		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_DOWNLOAD_SONGS','MEMBERS','This distinguishes who can download or play songs. MEMBERS means people with accounts and rights to download songs can, and ALL means anyone can.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_COLORS','3','This is the SchemeUnq of the color scheme to use on the radio. The colors administrative pages has the full color scheme list.',DomainUnq,'SB_MC_VIEW_RADIO_COLORS','SB_MC_CHANGE_RADIO_COLORS',3,'Color',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_TEXT','1','This is the SchemeUnq of the text scheme to use on the Radio system.',DomainUnq,'SB_MC_VIEW_RADIO_TEXT','SB_MC_CHANGE_RADIO_TEXT',3,'Text',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_BASEPATH','/WS_Content/Radio/MP3s/','Used to create the path to the .mp3 file for the ID3 tag COM Object (needs to begin and end with a ""/"").',DomainUnq,'','',3,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_PARTIALBASE','/Radio','This is what is needed to prepend to the sParent because the mp3''s aren''t in the web root (needs to begin with a ""/"").',DomainUnq,'','',3,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_SERVERPATH','C:\Inetpub\wwwroot\WS_Content\Radio','This is the parent directory of the Playlists directory.',DomainUnq,'','',3,'',1,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_BASEPATH','/WS_Content/Radio/MP3s/','Used to create the path to the .mp3 file for the ID3 tag COM Object (needs to begin and end with a ""/"").',DomainUnq,'','',3,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_PARTIALBASE','/Radio','This is what is needed to prepend to the sParent because the mp3''s aren''t in the web root (needs to begin with a ""/"").',DomainUnq,'','',3,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_SERVERPATH','C:\Inetpub\wwwroot\WS_Content\Radio','This is the root of the radio directory. Used with the FileSystemObject.',DomainUnq,'','',3,'',2,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_BASEPATH','/WS_Content/Radio/MP3s/','Used to create the path to the .mp3 file for the ID3 tag COM Object (needs to begin and end with a ""/"").',DomainUnq,'','',3,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_PARTIALBASE','/Radio','This is what is needed to prepend to the sParent because the mp3''s aren''t in the web root (needs to begin with a ""/"").',DomainUnq,'','',3,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_SERVERPATH','C:\Inetpub\wwwroot\WS_Content\Radio','This is the root of the radio directory. Used with the FileSystemObject.',DomainUnq,'','',3,'',3,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'SCRIPTTIMEOUT','72000','Script timeout in seconds. Only in effect if the user is logged in with rights to upload songs. If less than value in metabase, then it uses value in metabase.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_EDIT-ON','NO','Set this to ""YES"" to use the Edit-On WYSIWYG editor in the Radio. Set this to ""NO"" to use a plain text field. You must also set the USE_EDIT-ON Configuration Variable to ""YES"".',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_EDIT-ON_SPELLCHECKPROPERTIES','sc-americanenglish.txt','Set to the spell check properties file you would like to use. Change according to the language. See the documentation.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_EDIT-ON_IMAGEROOT','http://www.YourWebSiteHere.com/Images','ImageRoot value from Edit-On Pro. See the Edit-On Pro documentation. This can be set to a single image server if desired (multiple web servers/one image server type of setup).',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_EDIT-ON_TEXT','1','The Text Scheme Unq used with Edit-On. Must be a SiteBeater Text Scheme or scheme created using a SiteBeater Text Scheme.',DomainUnq,'','',3,'Text',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_EDIT-ON_IMAGEPROXYURL','','Use with the EDIT-ON_IMAGEROOT. The IP address/Domain name (w/o the ""http://"" stuff) of the server hosting all images (eg. 192.168.1.1)--or leave blank if you do not have one specific image server.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_TABLEWIDTH','671','Set the width of the tables in the Radio. Either pixels or percent. 671 is the default.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_FORMCOLUMNS','76','Width of text area form fields in the radio - also see RADIO_FORMWIDTH.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_FORMWIDTH','75','Width of form fields in the radio - not of text fields - see RADIO_FORMCOLUMNS for that.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_EDIT-ON_WIDTH','650','Width of the Edit-On Pro form in the radio.',DomainUnq,'','',3,'Edit-On',0,0 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO Configurations SELECT 'RADIO_DISP_VOTING','YES','Set this to YES to display the voting links so users can rate songs. Set to NO to not display it. Also removes the current rating.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		
		If ( SITEBEATER_VERSION <= 2.02 ) Then
			DBConnection.Execute "INSERT INTO Configurations SELECT 'SITEBEATER_RADIO_VERSION','" & SITEBEATER_VERSION & "','Please do not change this Configuration Variable. This is used when update scripts are run.',DomainUnq,'','',3,'',0,0 FROM DomainInfo"
		End If

	End Sub
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	Create all the tables and indexes for the tables that are in the Systems.ini 	*
	'*		file (for the systems purchased).											*
	'*																					*
	'************************************************************************************
	Sub CreateTables()
	
		Dim DBConnection, DBCommand
		Const adCmdText = 1
	
		Set DBConnection = Server.CreateObject("ADODB.Connection")
		Set DBCommand = Server.CreateObject("ADODB.Command")

		DBConnection.Open "Provider=SQLOLEDB.1;Server=" & sSQLServerName & ";Database=" & sDatabaseName & ";User ID=" & sDatabaseLogin & ";Password=" & sDatabasePassword
		DBCommand.CommandType = adCmdText
		Set DBCommand.ActiveConnection = DBConnection
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('PlayLists') AND sysstat & 0xf = 3) DROP TABLE PlayLists"
		DBConnection.Execute "CREATE TABLE PlayLists( PlayListUnq  INT IDENTITY, AccountUnq  INT NOT NULL, Name   VARCHAR(32) NOT NULL, Description  TEXT NOT NULL, Genre   VARCHAR(250) NOT NULL, Visibility  CHAR(2) NOT NULL, DomainUnq  INT)"
		DBConnection.Execute "CREATE CLUSTERED INDEX PlayListsMain on PlayLists (PlayListUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('SongsInPL') AND sysstat & 0xf = 3) DROP TABLE SongsInPL"
		DBConnection.Execute "CREATE TABLE SongsInPL( SongUnq  INT, PlayListUnq INT, AddDate  SMALLDATETIME)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SongsInPLMain on SongsInPL (PlayListUnq, SongUnq)"

		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('Songs') AND sysstat & 0xf = 3) DROP TABLE Songs"
		DBConnection.Execute "CREATE TABLE Songs( SongUnq  INT IDENTITY, Description VARCHAR(255) NOT NULL, Rating  INT, NumRaters INT, Artist  VARCHAR(255) NOT NULL, CD   VARCHAR(255) NOT NULL, FileName VARCHAR(255) NOT NULL, Directory VARCHAR(255) NOT NULL, Title  VARCHAR(255) NOT NULL, Year  CHAR(4) NOT NULL, Genre  VARCHAR(255) NOT NULL, Track  CHAR(2) NOT NULL, DomainUnq INT)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SongsMain on Songs (Directory,FileName)"
		
		DBConnection.Execute "IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id('SongInfo') AND sysstat & 0xf = 3) DROP TABLE SongInfo"
		DBConnection.Execute "CREATE TABLE SongInfo(SongUnq INT NOT NULL,DomainUnq INT NOT NULL,PurchaseURL VARCHAR(255) NOT NULL,ExtraDesc VARCHAR(255) NOT NULL,OverrideDesc CHAR(2) NOT NULL,ExtraCD VARCHAR(255) NOT NULL,OverrideCD CHAR(2) NOT NULL,ExtraArtist VARCHAR(255) NOT NULL,OverrideArtist CHAR(2) NOT NULL,ExtraTitle VARCHAR(255) NOT NULL,OverrideTitle CHAR(2) NOT NULL,ExtraYear VARCHAR(255) NOT NULL,OverrideYear CHAR(2) NOT NULL,ExtraGenre VARCHAR(255) NOT NULL,OverrideGenre CHAR(2) NOT NULL,ExtraTrack VARCHAR(255) NOT NULL,OverrideTrack CHAR(2) NOT NULL,OverrideRights CHAR(2) NOT NULL)"
		DBConnection.Execute "CREATE CLUSTERED INDEX SongInfoMain on SongInfo (SongUnq, DomainUnq)"

		DBConnection.Close
		SET DBConnection = nothing
		SET DBCommand = nothing
	
	End Sub
	'************************************************************************************



	'************************************************************************************
	'*																					*
	'*	Returns the text in the file spec passed it.									*
	'*																					*
	'************************************************************************************
	Function ReturnFileText(sFileSpec)
		Dim fsoFileObject, fFile, tsTextStream
		Const ForReading = 1, TristateFalse = 0
		
		ReturnFileText = ""
	
		' Read which systems from the Systems.ini file.
		Set fsoFileObject = CreateObject("Scripting.FileSystemObject")
		Set fFile = fsoFileObject.GetFile(Server.Mappath(sFileSpec))
		Set tsTextStream = fFile.OpenAsTextStream(ForReading, TristateFalse)
		ReturnFileText = Replace(tsTextStream.ReadAll, "'", "''")
		tsTextStream.Close
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This checks to see if the color scheme name and schemeunq combo already exist	*
	'*		before adding the colors. If the scheme name exists, it'll use it's			*
	'*		SchemeUnq when adding colors. If the name doesn't exist, it'll first check	*
	'*		to see if the iSchemeUnq passed in exists for another scheme, if not, it'll	*
	'*		go ahead and use the iSchemeUnq to create the new scheme, or it'll get		*
	'*		the max+1 SchemeUnq to use to add the new color scheme.						*
	'*																					*
	'************************************************************************************
	Function CheckForColorScheme(sSchemeName, iSchemeUnq)
		Dim sSQLText, rsDB, sTemp
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM ColorSchemes WHERE SchemeName = '" & sSchemeName & "'"
		rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' it's not there so check to see if SchemeUnq iSchemeUnq is avaliable
			rsDB.Close
			sSQLText = "SELECT * FROM ColorSchemes WHERE SchemeUnq = " & iSchemeUnq
			rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				' it's free, so create the new color scheme
				DBConnection.Execute "INSERT INTO ColorSchemes SELECT " & iSchemeUnq & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForColorScheme = 1
			Else
				' it's not free, so find the max+1 SchemeUnq and use that to make sSchemeName
				sTemp = rsDB("SchemeUnq")
				rsDB.Close
				sSQLText = "SELECT MAX(SchemeUnq) FROM ColorSchemes"
				rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
				DBConnection.Execute "INSERT INTO ColorSchemes SELECT " & (CDbl(sTemp) + 1) & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForColorScheme = CDbl(sTemp) + 1
				rsDB.Close
			End If
		Else
			' it's already there, so get the SchemeUnq and use that to insert the colors
			CheckForColorScheme = rsDB("SchemeUnq")
			rsDB.Close
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
	
	'************************************************************************************
	'*																					*
	'*	This does the same as CheckForColorScheme but for text schemes.					*
	'*																					*
	'************************************************************************************
	Function CheckForTextScheme(sSchemeName, iSchemeUnq)
		Dim sSQLText, rsDB, sTemp
		
		Set rsDB = CreateObject("ADODB.Recordset")
		sSQLText = "SELECT * FROM TextSchemes WHERE SchemeName = '" & sSchemeName & "'"
		rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
		If ( rsDB.EOF ) Then
			' it's not there so check to see if SchemeUnq iSchemeUnq is avaliable
			rsDB.Close
			sSQLText = "SELECT * FROM TextSchemes WHERE SchemeUnq = " & iSchemeUnq
			rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
			If ( rsDB.EOF ) Then
				' it's free, so create the new text scheme
				DBConnection.Execute "INSERT INTO TextSchemes SELECT " & iSchemeUnq & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForTextScheme = 1
			Else
				' it's not free, so find the max+1 SchemeUnq and use that to make sSchemeName
				sTemp = rsDB("SchemeUnq")
				rsDB.Close
				sSQLText = "SELECT MAX(SchemeUnq) FROM TextSchemes"
				rsDB.Open sSQLText, DBConnection', adOpenKeyset, adLockReadOnly, adCmdText
				DBConnection.Execute "INSERT INTO TextSchemes SELECT " & (CDbl(sTemp) + 1) & ", '" & sSchemeName & "', DomainUnq FROM DomainInfo"
				CheckForTextScheme = CDbl(sTemp) + 1
				rsDB.Close
			End If
		Else
			' it's already there, so get the SchemeUnq and use that to insert the text
			CheckForTextScheme = rsDB("SchemeUnq")
			rsDB.Close
		End If
		Set rsDB = Nothing
	End Function
	'************************************************************************************
%>